## Class AddOp

    java.lang.Object
      |
      +--Operator
            |
            +--AddOp

Direct Known Subclasses:
  MinusOp, PlusOp

public abstract class AddOp
extends Operator

Constructor Summary
`AddOp()`

Method Summary
`abstract void` `codegen(ClassFile classfile, CodeAttribute code, Expr expr, boolean neg, de.dhbwstuttgart.typeinference.Menge paralist)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AddOp

    public AddOp()

Method Detail

### codegen

    public abstract void codegen(ClassFile classfile,
                                 CodeAttribute code,
                                 Expr expr,
                                 boolean neg,
                                 de.dhbwstuttgart.typeinference.Menge paralist)
                          throws JVMCodeException

  Specified by:
    `codegen` in class `Operator`
    `JVMCodeException`